Package org.apache.groovy.swing.binding

# Enum Class PropertyBinding.UpdateStrategy

java.lang.Object
java.lang.Enum<PropertyBinding.UpdateStrategy>
org.apache.groovy.swing.binding.PropertyBinding.UpdateStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyBinding.UpdateStrategy>`, `Constable`

Enclosing class:
  PropertyBinding

public static enum PropertyBinding.UpdateStrategy extends Enum<PropertyBinding.UpdateStrategy>
Defines the thread on which target updates should run.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASYNC`
  Always updates asynchronously.
  `DEFER`
  Defers updates until the event queue processes them.
  `MIXED`
  Chooses a strategy dynamically based on the current execution context.
  `OUTSIDE`
  Updates synchronously off the event-dispatch thread.
  `SAME`
  Updates on the calling thread.
  `SYNC`
  Always updates synchronously on the event-dispatch thread.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PropertyBinding.UpdateStrategy`
  `of(String str)`
  Resolves an update strategy name.
  `static PropertyBinding.UpdateStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PropertyBinding.UpdateStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MIXED

    public static final PropertyBinding.UpdateStrategy MIXED
    Chooses a strategy dynamically based on the current execution context.

  - ### ASYNC

    public static final PropertyBinding.UpdateStrategy ASYNC
    Always updates asynchronously.

  - ### SYNC

    public static final PropertyBinding.UpdateStrategy SYNC
    Always updates synchronously on the event-dispatch thread.

  - ### SAME

    public static final PropertyBinding.UpdateStrategy SAME
    Updates on the calling thread.

  - ### OUTSIDE

    public static final PropertyBinding.UpdateStrategy OUTSIDE
    Updates synchronously off the event-dispatch thread.

  - ### DEFER

    public static final PropertyBinding.UpdateStrategy DEFER
    Defers updates until the event queue processes them.

- ## Method Details

  - ### values

    public static PropertyBinding.UpdateStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PropertyBinding.UpdateStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static PropertyBinding.UpdateStrategy of(String str)
    Resolves an update strategy name.
    Parameters:
      `str` - the strategy name
    Returns:
      the matching strategy, or `null` when the name is not recognized